osmium::max_op< T > Class Template Reference

`#include <minmax.hpp>`

## Public Member Functions

| max_op (T start_value=max_op_start_value< T >())
void | update (T value) noexcept
T | operator() () const noexcept

## Private Attributes

T | m_value

## Detailed Description

### template<typename T>
class osmium::max_op< T >

Class for calculating the maximum of a bunch of values. Works with any numeric type.

Usage:

max_op<int> x; x.update(27); x.update(12); auto max = x.get(); // 27

## Constructor & Destructor Documentation

template<typename T >

osmium::max_op< T >::max_op | ( | T | start_value = `max_op_start_value<T>()` | ) |

inline explicit

## Member Function Documentation

template<typename T >

T osmium::max_op< T >::operator() | ( |  | ) | const

inline noexcept

template<typename T >

void osmium::max_op< T >::update | ( | T | value | ) |

inline noexcept

## Member Data Documentation

template<typename T >

T osmium::max_op< T >::m_value

private

The documentation for this class was generated from the following file:

- osmium/util/minmax.hpp